<template>

  <div>
    <v-card flat tile>
      <v-toolbar color="deep-purple">
        <v-container fluid ma-0 pa-0>
          <v-card>
            <v-btn icon :to="'/'">
              <v-icon>mdi-arrow-left</v-icon>
            </v-btn>
            <input type="text" placeholder="Search" v-model.trim="keyword" style="outline: none;">
            <v-btn icon class="float-right" @click="sendKeyword(keyword)">
              <v-icon>mdi-magnify</v-icon>
            </v-btn>
          </v-card>
        </v-container>
      </v-toolbar>
    </v-card>

  </div>
</template>

<script>
  export default {
    name: 'SearchBar',

    data: () => ({
      keyword: ''
    }),

    methods: {
      sendKeyword(keyword) {
        // console.log(keyword)
        this.$emit('keyword', keyword)
      }
    }
  }
</script>
